Issue 122362 - remove stlport4-build support
Summary: remove stlport4-build support
Status: ACCEPTED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: 4.0.0-dev
Hardware: All All
: P3 Normal (vote)
Target Milestone: 4.1.0
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 122361 (view as issue list)
Depends on: 122208 122396
Blocks: 122766 124896
  Show dependency tree
 
Reported: 2013-05-22 08:03 UTC by hdu@apache.org
Modified: 2017-05-20 10:44 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description hdu@apache.org 2013-05-22 08:03:31 UTC
For AOO interacting with system provided C*+ libraries the template libraries they depend on must be binary compatible. This is best achieved by AOO employing the same STLs that the system libraries use:
- on Windows this is MSVC's TR1 implementation
- on MacOSX this is libc++ as provided by XCode4
- all others are supposed to be wrapped by boost's TR1 (e.g. glibcxx on GCC based systems)

Another benefit is that some modern compilers fail to build stlport4. It has become obsolete with the C++11 standardization that was preceded by the TR1 recommendation. Stlport5 would be an interesting alternative as it follows that standard and has interesting features. Going native is the better solution at least for now.
Comment 1 SVN Robot 2013-05-27 15:52:51 UTC
"hdu" committed SVN revision 1486648 into trunk:
#i122362# omit fetching of stlport4 tarballs if possible
Comment 2 hdu@apache.org 2013-07-17 08:29:13 UTC
*** Issue 122361 has been marked as a duplicate of this issue. ***
Comment 3 SVN Robot 2013-07-25 08:08:36 UTC
"hdu" committed SVN revision 1506842 into branches/rejuvenate01:
#i122362# use libc++ instead of libstdc++ for new MacOSX targets
Comment 4 SVN Robot 2013-08-09 11:10:20 UTC
"hdu" committed SVN revision 1512251 into branches/rejuvenate01:
#i122362# always enable --without-stlport configure option
Comment 5 SVN Robot 2013-08-09 11:13:09 UTC
"hdu" committed SVN revision 1512254 into branches/rejuvenate01:
#i122362# remove stlport download and building
Comment 6 hdu@apache.org 2013-11-18 15:45:03 UTC
Adjusted the issue summary to the fact that stlport4 build is no longer used for releases since AOO 4.0.0 and it can be removed for good.
Comment 7 SVN Robot 2013-11-18 16:26:20 UTC
"hdu" committed SVN revision 1543067 into trunk:
#i122362# remove stlport4-build support
Comment 8 SVN Robot 2013-11-19 08:06:17 UTC
"hdu" committed SVN revision 1543342 into trunk:
#i122362# re-add accidentially deleted pre-/post-extstl.h
Comment 9 SVN Robot 2013-11-19 12:46:13 UTC
"hdu" committed SVN revision 1543407 into trunk:
#i122362# post-stlport fixes for the macosx-target=10.4 build
Comment 10 SVN Robot 2013-12-10 08:43:27 UTC
"hdu" committed SVN revision 1549785 into trunk:
#i122362# remove stlport4 specific allocator
Comment 11 SVN Robot 2013-12-16 17:02:51 UTC
"hdu" committed SVN revision 1551264 into trunk:
#i122362# remove windows scripts for importing stlport4 headers
Comment 12 SVN Robot 2014-01-08 13:03:01 UTC
"hdu" committed SVN revision 1556520 into trunk:
#i122362# remove stlport4 tarballs from ext_sources
Comment 13 Marcus 2017-05-20 10:44:54 UTC
Reset the assignee to the default "issues@openoffice.apache.org".